package com.ruoyi.zongzhi.service;

import java.util.List;

import com.ruoyi.common.core.domain.TreeSelect;
import com.ruoyi.common.core.domain.entity.SysDept;
import com.ruoyi.zongzhi.domain.TcTown;
import com.ruoyi.zongzhi.domain.vo.TreeNode;


/**
 * 区域Service接口
 *
 * @author ruoyi
 * @date 2023-08-10
 */
public interface ITcTownService {
    /**
     * 查询区域
     *
     * @param id 区域主键
     * @return 区域
     */
    public TcTown selectTcTownById(Long id);

    /**
     * 查询区域列表
     *
     * @param tcTown 区域
     * @return 区域集合
     */
    public List<TcTown> selectTcTownList(TcTown tcTown);

    /**
     * 新增区域
     *
     * @param tcTown 区域
     * @return 结果
     */
    public int insertTcTown(TcTown tcTown);

    /**
     * 修改区域
     *
     * @param tcTown 区域
     * @return 结果
     */
    public int updateTcTown(TcTown tcTown);

    /**
     * 批量删除区域
     *
     * @param ids 需要删除的区域主键集合
     * @return 结果
     */
    public int deleteTcTownByIds(Long[] ids);

    /**
     * 删除区域信息
     *
     * @param id 区域主键
     * @return 结果
     */
    public int deleteTcTownById(Long id);


    /**
     * 导入区域信息
     *
     * @return 结果
     */

    public String importUser(List<TcTown> tcTownList);

    /**
     * 构建前端所需要下拉树结构
     *
     * @param tcTowns 区域列表
     * @return 下拉树结构列表
     */
    public List<TreeNode> buildDeptTreeSelect(List<TcTown> tcTowns);

    List<TcTown> buildDeptTree(List<TcTown> depts);
}
